## org.apache.xerces.dom
Interface DeferredNode

All Superinterfaces:
  org.w3c.dom.Node

All Known Implementing Classes:
  DeferredAttrImpl, DeferredCDATASectionImpl, DeferredCommentImpl, DeferredDocumentImpl, DeferredDocumentTypeImpl, DeferredElementImpl, DeferredElementNSImpl, DeferredEntityImpl, DeferredNotationImpl, DeferredProcessingInstructionImpl, DeferredAttrNSImpl, DeferredTextImpl, DeferredElementDefinitionImpl, DeferredEntityReferenceImpl

public interface DeferredNode
extends org.w3c.dom.Node

An interface for deferred node object.

Version:
  $Id: DeferredNode.java,v 1.6 2003/01/16 22:53:44 elena Exp $

Field Summary
`static short` `TYPE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` `getNodeIndex()` Returns the node index.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### TYPE_NODE

    public static final short TYPE_NODE

Method Detail

### getNodeIndex

    public int getNodeIndex()

  Returns the node index.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.